> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gerar nota fiscal do pedido



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json post /pedidos/{idPedido}/gerar-nota-fiscal
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /pedidos/{idPedido}/gerar-nota-fiscal:
    post:
      tags:
        - Pedidos
      summary: Gerar nota fiscal do pedido
      operationId: GerarNotaFiscalPedidoAction
      parameters:
        - $ref: >-
            #/components/parameters/post_pedidos_idPedido_gerar_nota_fiscal_idPedido
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GerarNotaFiscalPedidoRequestModel'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GerarNotaFiscalPedidoModelResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    post_pedidos_idPedido_gerar_nota_fiscal_idPedido:
      name: idPedido
      in: path
      description: Identificador do pedido
      required: true
      schema:
        type: integer
  schemas:
    GerarNotaFiscalPedidoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            modelo:
              description: |-
                Modelo da nota fiscal
                - 55 - NFe
                - 65 - NFCe
              type: integer
              enum:
                - 55
                - 65
              example: 55
          type: object
    GerarNotaFiscalPedidoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            numero:
              type: integer
            serie:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````